Lavalite package that provides icon management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `restaurant/icon`.

    "restaurant/icon": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Restaurant\Icon\Providers\IconServiceProvider::class,

And also add it to alias

    'Icon'  => Restaurant\Icon\Facades\Icon::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Restaurant\\IconTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Restaurant\Icon\Providers\IconServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Restaurant\Icon\Providers\IconServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Restaurant\Icon\Providers\IconServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/icon/{modulename}

**User**

    http://path-to-route-folder/user/icon/{modulename}

**Public**

    http://path-to-route-folder/icons


### API endpoints

**List**

    http://path-to-route-folder/api/user/icon/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/icon/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/icon/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/icon/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/icon/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/icon/{modulename}/{slug}
    METHOD: GET